%include common-macros.specinclude

Summary: A program for synchronizing files over a network.
Name: lsb-rsync
Version: 3.0.8
Release: 3.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/file transfer
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc

Source0: http://rsync.samba.org/ftp/rsync/rsync-%{version}.tar.gz
Patch0: rsync-3.0.8.patch

%description
LSB conforming version of rsync.  Rsync is a program for bringing remote
and host files into sync very quickly. Rsync is fast because it just
sends the differences in the files over the network instead of sending
the complete files. Rsync is often used as a very powerful mirroring
process or just as a more capable replacement for the rcp command.
Rsync is added to the LSB Application Battery primarly to demonstrate
the use of networking.

%prep
%setup -q -n rsync-%{version}
%patch0 -p1 -b .lsbcc

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
export CC=lsbcc
export CXX=lsbc++
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}
%define includedir %{prefix}/include
export PKG_CONFIG_PATH=%{libdir}/pkgconfig
export LSBLIBDIR=-L%{libdir}

./configure \
    --prefix=%{app_prefix} \
    --with-rsyncd-conf=/etc/opt/lsb/appbat/rsyncd.conf

make

%install
rm -rf %{buildroot}

make prefix=%{buildroot}%{app_prefix} install

install -d %{buildroot}/etc/opt/lsb/appbat

# we used to have the user create this in the FVT, why not just provide it?
cat > %{buildroot}/etc/opt/lsb/appbat/rsyncd.conf << EOF
[rsync]
        path = /tmp/rsync
        comment = rsync server directory
        read only = false
EOF

# make a README about the patch
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
if [ "$COUNT" -gt 1 ];then
  COUNT=`expr $COUNT - 1`
  install -d %{buildroot}%{sharedir}/doc
  head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.rsync.build.patches 
fi

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /etc/opt/lsb

%attr ( -   root root ) /opt/lsb/appbat
%attr ( -   root root ) /etc/opt/lsb/appbat

%changelog
* Wed Jun 15 2011 Stew Benedict <stewb@linux-foundation.org>
- bump to 3.0.8, rediff P0

* Fri May 13 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS, add conf

* Fri Feb 25 2011 Stew Benedict <stewb@linux-foundation.org>
- own the dirs we populate (bug 3195)

* Tue Mar 18 2008 Stew Benedict <stewb@linux-foundation.org>
- bump to 3.0.0

